.al_logo-container {
    width: 100%; /* 限制宽度为父容器的100% */
    overflow: hidden; /* 隐藏超出部分 */
    position: relative;
    margin: 20px 0;
}

.al_logo-row {
    display: flex;
    white-space: nowrap;
    position: relative;
    width: fit-content; /* 宽度适应内容 */
}

.al_logo-item {
    display: flex;
    align-items: center;
    margin: 0 20px; /* 调整间距 */
}

.al_logo-item img {
    height: 2rem;
    margin-right: 10px;
}

.al_logo-item span {
    font-size: 14px;
    color: #333;
}

.al_logo-row.al_marquee {
    animation: al_marquee 35s linear infinite;
}

.al_logo-row.al_marquee-reverse {
    animation: al_marquee-reverse 35s linear infinite;
}

@keyframes al_marquee {
    0% { transform: translateX(0%); }
    100% { transform: translateX(-50%); }
}

@keyframes al_marquee-reverse {
    0% { transform: translateX(-50%); }
    100% { transform: translateX(0%); }
}

.al_logo-container::before,
.al_logo-container::after {
    content: '';
    position: absolute;
    top: 0;
    bottom: 0;
    width: 100px;
    z-index: 2;
    pointer-events: none;
}

.al_logo-container::before {
    left: 0;
    background: linear-gradient(to right, rgba(255, 255, 255, 1), rgba(255, 255, 255, 0));
}

.al_logo-container::after {
    right: 0;
    background: linear-gradient(to left, rgba(255, 255, 255, 1), rgba(255, 255, 255, 0));
}

/* 优化动画性能 */
.al_logo-row {
    will-change: transform;
}



  


  .highlight {
    position: relative;
    display: inline-block;
    /* padding: 5px 10px; */
    padding-left: 20px;
    padding-right: 5px;
    background-color: #F8F8F8; /* 底色 */
    color: #6C6C6C !important; /* 文字颜色 */
    z-index: 1;
    line-height: 2.2;
    font-size: 0.8rem; 
    font-weight: 500;
  }

  /* 左边的凹进去的半圆 */
  .highlight::before {
    content: '';
    position: absolute;
    top: 0;
    left: -5px;
    width: 20px; /* 半圆的宽度 */
    height: 100%;
    background-color: #fff; /* 与页面背景色一致 */
    border-radius: 0 50% 50% 0; /* 右侧为半圆 */
    z-index: -1;
  }

  /* 右边的凸出去的半圆 */
  .highlight::after {
    content: '';
    position: absolute;
    top: 0;
    right: -10px;
    width: 20px; /* 半圆的宽度 */
    height: 100%;
    background-color: #F8F8F8; /* 与底色一致 */
    border-radius: 0 50% 50% 0; /* 左侧为半圆 */
    z-index: -1;
  }


  